- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# axis2_transport_sender.h File Reference

Axis2 description transport sender interface. More...

`#include <axis2_const.h>`
`#include <axutil_error.h>`
`#include <axis2_defines.h>`
`#include <axutil_env.h>`
`#include <axutil_allocator.h>`
`#include <axis2_transport_out_desc.h>`
`#include <axis2_ctx.h>`
`#include <axis2_msg_ctx.h>`

Go to the source code of this file.

## Classes
struct | axis2_transport_sender_ops
| Description Transport Sender ops struct Encapsulator struct for ops of axis2_transport_sender. More...
struct | axis2_transport_sender
## Defines
#define | AXIS2_TRANSPORT_SENDER_FREE(transport_sender, env) ((transport_sender->ops)->free (transport_sender, env))
#define | AXIS2_TRANSPORT_SENDER_INIT(transport_sender, env, conf_context, transport_out) ((transport_sender->ops)->init (transport_sender, env, conf_context, transport_out))
#define | AXIS2_TRANSPORT_SENDER_INVOKE(transport_sender, env, msg_ctx) ((transport_sender->ops)->invoke (transport_sender, env, msg_ctx))
#define | AXIS2_TRANSPORT_SENDER_CLEANUP(transport_sender, env, msg_ctx) ((transport_sender->ops)->cleanup (transport_sender, env, msg_ctx))
## Typedefs
typedef struct axis2_transport_sender | axis2_transport_sender_t
typedef struct axis2_transport_sender_ops | axis2_transport_sender_ops_t
## Functions
AXIS2_EXTERN axis2_transport_sender_t * | axis2_transport_sender_create (const axutil_env_t *env)

## Detailed Description

Axis2 description transport sender interface.